/* 
   CScanner - A Chinese Lexical Scanner
   Copyright (C) 2000-2001 Chih-Hao Tsai

   This program is free software; you can redistribute it and/or
   modify it under the terms of the GNU General Public License
   as published by the Free Software Foundation; either version 2
   of the License, or (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place - Suite 330, 
   Boston, MA  02111-1307, USA.
 */

/*
   Module: charfreq.c
   Version: 0.26
   Date: April 7, 2001
   Author: Chih-Hao Tsai
   Email: hao520@yahoo.com
   CScanner website: http://technology.chtsai.org/cscanner/
   Author's homepage: http://chtsai.org/
 */

/*
   Elements of the big5_character_freq array represent the 
   *logarithms* (base 2) plus 65 of the raw frequencies of the
   13,060 Chinese characters defined in the standard
   implementation of the BIG5 character code.
   
   log2(frequency) + 65

   The role of the constant 65 was a minor one. It was ensure
   every entry was a printable character so I could make a big
   string of 13,060 characters. As a result, "A" stands for 0,
   "B" stands for 1, and so on.

   They are *not* raw frequencies. The raw frequencies were
   compiled by Shih-Kun Huang (skhuang@iis.sinica.edu.tw) and
   Chih-Hao Tsai and can be downloaded from the following website:

   Frequency of Stroke Counts of Chinese Characters
   http://www.geocities.com/hao510/charfreq/
 */



unsigned char big5_character_freq[] =
"VNNPNPURUDRQLOKRJRLRSTMTJNOQMTKNNIKHPMQPQMURSGGMTFIRNSRRJKNFILRKKV\
UKMTLNMNOQJOSGIMPRPKQMRQORKKRPGKMNQLPOKHJRRQITPRKNRONKOOLJQSLNRLQT\
MLSSMRPMPLLROMRPKOIQNPLQMQIQLRKMQTOOKTLRQOHOQIONKSKORQPMQHKQIQMJES\
TPPMLKIHPFQQSPISPMERKRQQLNLROOOPQOQMGMKQJRJJIMNKSQOLSORGPLJJOMONMN\
TTLPRPOKQOHRMLPPJLRKOHHIITPJMFNNGNLOMMQQNFQNERMLRRQROPMLGEMIKKPNOJ\
SMMILRQSRQNHHSRIISUKFFDITKJLLJTRTFRPOPLQLNHNLLSRHPHIJGSMJNQQLKMQJV\
JIOMRSQFMMKPNJGNFDJNJFPQOHENNRRSENIOJKMSRILFMFQMMPSOQFNMSQLIHOPSNL\
MJLNGNQSISTOPKMEOHJPPPIOROQMGMPOEKQKMJLNRJSOKPMNPIRNMOINKKKPJOMGGO\
HFLMOHOLNOGGNMKKNKFNMIHLEMMIIERNOKPNLNJIJHMQOINMORIQMNPNPOJRGHMVMO\
LPLKMRJROKKMNMQPMDQPJIROQJONNKIMKFFDPRQIOJNNHKNQJLKHNTNIJFFEIEDDII\
IMIMMNKPJHLRJJKMOOLQRKKGLJJMPPMKGRPRNNGNNQPRROLIEMKMHHNNTIHPOMKKDR\
OLSSPONIPKPRLPPTJKMINFJFKFEMQDRPSOHNOLMNULQHICMOLLKNLFQMQPQMJLILHI\
LJOIKESKROHQJNNIMEMMMEPMQNJMINOPMNMOHQONEQHDNOOPSPPNKOLPOGLNLJJMHH\
LLHHOKPOQHNNJIPMLOHONQKFIJGMQPMRFEFRHOITOPJGFLNNOMLMMIJOKKKIOMJPLN\
INMIQKSMLPNMLRJMIINQQJILRSHGFMQNMQLOOIKFEEEOPLGKMMPMIJNOILJOKSKKIP\
PKGFHMPOMMIIDDJGMLJIMPNRMQPFIPNREINFDHIJWFLQSJRHJLDQNILIGDSKNLGOEM\
FIONHQNLKMKEKQNJJKEDEKOIPRHPMQKHNEMQRQHMQNPFHPPQKLOSMMQOIKQMMIIONK\
JLPGHJIFNGOLLLSIKQOMLMGQQNLMNIMMJMLPGJMQKQIKNIIOIGMQIIJRLHKMOJGKFM\
HKNIIKLOLQOHQPHPLMMNJFNPODNIRQGHMSPKOESJMQKPRNKMOMMJJHGJOPMPNKQHIQ\
KMKOMHOKRQFOOPNNLVQOLDGINLOPGOLKFMKHFJPFNFMHEGEHMJIPOHHMOONQMFHNOQ\
NOJMGIEIMFGEDKTKJIJMMHHMHHHMJGLMMNIEPILQEEKKFDEJONIMLMHPGRNTMMEJNQ\
JOFJLKJFSNOOOLIIHPOFEQEMRIFNMDQNIILEONGMNIGPGFLKFKPJRMJFMQJFJLIJKI\
FLMEELLTHROEMPLEKQMOKJMIINGGKOLFJFRGPLLORNLHRNRQOPONGJNGKMEHKJMPON\
PTKFHGMKTQLFQHKJNLNLLGLMNKKFIPLLLRJHKMEMLPNJJLNOQPHQOHLHHIFGLMLIOO\
GIJNLMLILEIHJGHNDLPSLOLQHOLPKILKEJNOHEQNRNNPNONNIJMOLNNPMMIKNHMIMN\
FQHJNMGHKMMMLKLLKJPEQONTMIMIHDERJIMRPQMIPLIHJLNMKMJHQNKFHFENILQLHH\
FNPKPFKKQIJHMNHMNHDGKFGHJMJONLQNLIKJHQKLMGGLIJGQMPMMDEMIFEFFOFJJSN\
JLJGLGQHIFDFNMKJJNQOGGMEHNMMNKKSIQMJKLIONOLHQHNONOEJMMHJLIMJKHKFLH\
FNNHMTKGHMGHFNHFQIMNHJHJOKEHMKNIHJGIJLHIJFHIGLLLKEGRIQFJSNOGECNIKO\
MRJMHEMPMQOINNPJHEJLHOPKLNIHDNQPJGGQGIPKQNROEOOELPQHHROOOJJMMOOHED\
KJRMNNQJRFFLLRGQMPNRKKMJRPGTGOKOOHMGGFENSDNOFOJHQOLPNQKLHLNIGHHOOJ\
KKIONPPLQRMJENELIKIJLKJDHLKRQOHPNJIGRQKMOGSIRKKIJIMMMRIJIJSHKOKKJJ\
LKJGLFGKOMFNRMLKMHMQNOIPGOLOHPKKHGMHMIPRPOOMIDMGLPNGFJPHMKHMERMMJJ\
KMLEIINEOLHOFPKIDEOPNFJHNKHMOJIMNSJLMNFGLGOLHLIMOLLLQINKEGGEHJLJIH\
ONHOMIDHPIERSSHFNJMPOGPPMIMKJGIJMNLPQIKKJGDNQLOIKJOMROJFDMMFKLRKOD\
GPKQOPGCHMIHIPDPKHJFOGDEFJGHNMHJDGJJOJNJMHMIJFERIMIDEJHOJIEPGGRJLL\
NLPNLLIRQIIIEJMPMOMLFJJGGPTLRKQQMNKKQOOHMOROSIPKGMHFENNMQPNEMNELOH\
SPOKPPHMNOMKLQOJELFSNMEONNPIPJHJLKNOKMRMQMHKIQHKLMMMDJKHJOLMRKFQME\
ELLJLLINJFFFNOKIOPTHMGEFMNGFRKMLFHMPMKNPPMNHJIIKHGLMHKMEEHIGONJGJI\
JOJTNILOJOIQINIKMPOLKPOKMNONPHGQOROKIKJIMMLNJGPKHNLMJJLMFGNMMNLMJI\
IEOODNILLIIKOJLGOHGJMMHLPIKMMKHEEIEEEGKMJSSMIOEKNILLFMMIHJJODHLKGJ\
QNHPIGJLIOSGLFNJOJPGNFRNMJOHOIROOILQIMHJIJJQJPNKNORJDGPNGEHLKLHIKK\
HLEHGNKNKKMHHGLRKERMEJKEMLFJKNCEFOHMGGKJEEONMKGQOLPPNFIKKHQLJDQKIO\
LIGQNPRKLKPQMJNIHPNIJGLHLKIPNRFGNOEIJQKLIHLKGDIJJSJRNFQNIPJNIHFLOQ\
PJMPJPPPEIOGNFKIQFPPJLNQONMPNHDIIHLIMPELHMJISKHGIJPPJIJEEPONMJMJNN\
JEOIDFNLJMGODJJIJEIPMJGKJOMSNRTSMNOMLIHGIMGFIGFJGOJNENKMJNNNKGOJSO\
KKLMHGFTKQPJKHPNPPHEJMHIFKFLPNLKFKKELIPNGOGEJKPNPMMKNEELNPJKPJFIMK\
NEEFMIHOJHHIJLOEGHKMSJIHHIFIFMFKNNHIIOLHJLGHFLNOMJKHGKGEKJOQKJLIHI\
FKHJPKEFIGJSHGLHEOLOMQMPPLLIGMLKHOKMIQKLLIPKKKIOLNIFLLHJIKJRIJIGKI\
JMHEDIFJLPJQRJNDDRIROQOKNIJOSJLNLJLDEEEEGMUKLGGIFMQLRPHKJDMROIGINQ\
PSLQMNJPITNIKJJDKIFGGIFFHHKEKFMGEJEIEIJNIIJHCOSGNMIKPMNDKKKHMMLHJE\
JELNNLHJEFKLRMIEDJKODIOEGPNJKMOKLHILHDKPQNIPLLJJFMMQGMDHHJEJEJINNM\
JSINGOSKIIDNPHGJNMINMGKPJPNIKNJNLMMLNJJGLEFIMGNFMLHNJKHOKOHIIFJHNG\
IEKEOQEIQNIMIIMINOOQKLIOMJFOFJIHLJHJJLKOLGPGFMFKJMMELPFHOGIPNKIJPO\
PMLOFKPMRPHNKORHIGRHILFHDLLQKFMKIOOIRMKIMHKPNEGNMJKPOLMLKGHMFHQSIP\
IMFGLMJJJOLHJKOHIHMJJJJKKGCJFIKKOGJDJOQIRJMPTFJLHEEOIMMGFLOOEOKPGL\
QFMLNMGEFKEEJNNEEOLOGHJKFDFHILNKHKNPIEQGFJNPHLKMJHLJIILNMGRTMNNNJK\
QMFJEJPKOOHENHOGKONKLJINKKJFIPKLMHDFJIIHLFLNNQOLCFIJHOLLJPPOQPPOOO\
ENNGMIMKOJJKILIEJNLINLLMKNJLIMIOLFGEEDOKRMNOKSJEJOQLPPIIREHLOKIMJL\
FLLHMKLNGNMIKLIMHDDDOLPHEHOHLLMJIFGILJLJDGKOLIJIIJJQKHIPHMHIJHKIMM\
OOHHPFEENKPLLHJKPPQHMDDHIOOLLGJLKMLEIKKNJKJJMOKLKEELLMJMKHJHHEOOIN\
IHEGNNPINTOQHIPRRHEIHFKOMOMMIMOPNPFELPGLIMNMFDHLONGOHOFEEPLLNMMNME\
LNKHHENLJHKMGNIHHHNJJNLOJMJKFFGPLIOLMHMHMJEJNGNMKINGLEEHMMMMNHHJJF\
MMDLEJLJHJLQGJIIKIMLMGNFITKPGNNJKGOMJJQKOMGKPIPIOMJOEQLOGIJJJKKJNK\
OJIJNGKSFFPEIILMMLGLPIDDEEIIFNOMIGKFMKQIHFJKJGDIFDLIHKFIMLFDLOLKMC\
KFHNJDIJDMMFDILOGFFFIILJEIJKKJQKJJKFHLKKNIFKFLOMNJMGFFPGKIHJMKLKOG\
PLIIGGLGQNJHLIJHLOPEMQMIRNKOFOGLJFRQOLQJKMHGHFJKPOLIGMLJIGPHIJLNHR\
LIOPHHIHJGKIHGEIIIGKMFKOGRNPLJMNJJLFNHGPGFLFHIKEKMJJQMKRPLJJPNNPHM\
HMNKGFKLJJIQEOHFEEEFDDFCGHLOGJNMIKGHDLFEFPFMKLHHFMNHOGPFIFMLLJKHLM\
NKIHGJJKMLHIGGIGKGHJJMJDOOIJDJLQNDNDHDFEEGGMFQNQKJGIMIIMOGOPLMMLFJ\
JKLLFFMJLIHIHGLEIIFKGEGMKLQLMSGHJFENQOGEMIJLGKKFJKOISMKNDFHMJIIOLF\
MIMFJGGFMIKFNNKQLLJMOGLJLNGGHNKFLSFIKHNLKKFPHGEKNKNGNIJPJKKKMIKDEK\
FOHJFLIIKKHJDEGLJLHIFKEHJGMOEJFKKJKFFIPKNJMGKFEHMOPJIGOONOJNLDDOEK\
NGNGIHMLHNJGHJMMDKQJIIGPLJIGNGINGGIKIILEKPOPKODDHLDNNSGEJIIGGIPDGN\
LJFIJJDEJMHGDGDIPKMLLJLPOIKLKKJFFHILJKIIDOLFHNHILJJKHNJMLLNJKGOIEM\
KIKMPMEJGLJOHHNOGMKNNKHKFDHNQPKIJDIMOGKJHHKHEKNQHFGODJEJFDGJEKHHDR\
IRFMJJMQQLGKEHOKJFEHEJIELJOIHNJJGPJJFGKPDLKILGJJFJKFMNKLIKHEGJNNOO\
IHIJOGFNENJJGIKLOLGGGROQLPOGEOFDJHGFOOFJNFNLJLGMMDGHKNQEFKNIIGFLFP\
KMHNMGFMNFJPPMEGHFIMPFEPFILFLKFMKPMJJMHMNHHGOGKGFKNMNPOGJNGJGJPFHF\
KMFEFKEFHEJHHLOFJJMLMQRMKGDLLGELIJRLMKDQKFHEFEJMJHIIGKILIMJKKEIGKH\
FIJEJPGHKKEGLMEDHLGEFKIQFNIHDJPFOJQKREGJEJLHIJJDJIIMJKIFRGGJGKEMPI\
HHLIHEOJJLFIDOJRJHOQHKILIHFDHEIMEDLIJEIDMILJHFLIJDGNEHLEGDDDINDGFG\
DFDIECEDCDDEGCCDEDHGEEEHCEEDEDIDDDFCDDHDEDGCDCDDGDDCFDDFEEEDDDHFDE\
EDEEEHCDEEEDDFEDDEDDICEKDECGDCFEEDDCECDCDDDFEKDDDCDDDEEFFDFDDEDEDC\
EEIEDDFCEFDDGDCDDEDGEDDFJDCDDDDDDDDDDDDDDCIEMCDDCEDGDDDEDCEDDIEDCF\
FDCDDEFDDEEIDDFDEDDGDDEDDDGDEEEFCDDEDEEEDIGEDDCDDDCCDDDDCDECDDDDGH\
HDDFDIGDDFCGDDDDDEDEDEEGEDDDDDCGDEHDDDFDEEDDDDEGDDEDCDDFFDEHCDDEDD\
CDCDECCDDDEDCDEFECIEEEDEDDDDCDEDCHDDGFDFDEDDCDEEDFGEDDICDDDHDDGFDF\
EECCFCDEEDDEJKDFECDDCDEDDDECDDIEFGDEDDDFMDDDDDGCFDFFCDEDDDDHHGDDFD\
ECCFCDHCDCDCDDDDDEDFFGGGEDDDDCCGDDDECDEDCDFDDECDCDDEEEEDDHFCDDEDED\
FEFFEEEDCDFEGEIDEECEDDEECDDDDDGDEEDJGDEDDEEDEDECECEDCDDDDDDCDDDEDD\
CDCDCEGDFEDDDDDCDCEDDDEEEEDGCDCDDEDECDEDHFDECEDDECDCEDDDHCDDCDDDDE\
HCCCECGDDDCDEDDFDEEDDMCEDECDEEGDDDDDDDDFDCCFEHFEEGEFHDCDDEDFDCDDKE\
EDDCEEFDIDDDEDDFFEDDDDDDDDFFDDCCEDFDDDDCDDIDDGDCDJDCFCCGDEDDFFIDDC\
DECCDICDDDDIECDEDDDDDHDFEEECDCDCFDDCCDJCIDFHDDEDFEEFDEGEEEDDCEDDDE\
EDGDEDDEDDFEECDDDDEEDEDCDDCEDDEDDDFEEDDDCDFHCGDCECDDDJDDEEDCDEEGHD\
DCDDDCEGDFFFJDDDDFDFFDDDDDGCGCDEDDEDDGDCDGDDFFDDHDCFEDEDEDIDEEIEED\
DCDDFFCEEDEDDEDDHFCCEDDDDDDCDDDEEDDDDDEDEDDHJFGDDCDDDDDDDDDDEDEDED\
DHDEDDFGDECDDFEDCDGDDDEDEDEGFDCDCICDCDDCDDDGCECCDDDCCDDDCCDDDDDDEE\
DDKEDDCDEDFGCDEECDDDDFDDDFCDDFFFGEEDEDFDDFECFEDFDDEEDDDFDEDDDDDDDD\
DDCECCFDDGEDDGDDDHEEEDDCFDDGFDGFDDDDCEDDCEEECDGDCEEIDDDGCDDDCEEDDD\
DDDHDDDCDDDEEDEDDDEDCDDDCDCEEDDEFDCDDCECDDEDDDDECCHDHDJDDFFEEEEDDD\
EDDEDDDDDIECDHFDDEDFDEEDDFDDCDGECDFEIFEGDDDEECDGEDDCEHDDDEEGDFEDED\
EDEEDDDEDEDDDDDDDDCDDDIEDGDCCDCHEDFDDCCEFDFCLHDEDDCDCCDDCDIDDDECDC\
DEDFCDEDCDDDDEECFEDDDDEDDECEDHGCEDECDGDEEDDEHEDDEDDDCCEDDEIDDDDDDE\
EECEEFFCCDCEECFDEFDFDDDCDDDDDDDGFDEDDDDDDDCDEJDDDEFECDECDCDEDGDIDC\
CDDGDDEEDDEECDDEJCDCDDCDEDEDDDEDFDDFJDFGDGEFEEDEFGFGDDEDFEDEEEEDED\
DDDDEFDCDCCDDDCDDDDDEEDHCDIDEGDDDCDDCCDDDCDDDFGEDCHEDEDCDDDDDEEFJD\
EEDDDEEICDCDEEDEDCDDEJEDDDDDDCCDDDGGEDDFFDDDFDCEDHDDFHDFDDCFHDCEDP\
EDDDEEEDFDDEDDDGDDDIDCEJEDDFDEFGHDDCCEDDDECDFDCFCEFEDGGDEECDEDDDDD\
DECDCDEDCCDCDFDEDIDCCEDDCDEDEDEDDDFCFEDHCDCEDFDDEDDCGDDHDDDDDDCEDD\
FDDFDDDDDDFIHDFCEFEFFDDFEEDFDDEHDEEGEGEDCCDEDDDDDDDEDGCDDEECDEDEIC\
EDDDDDDCDEDGIDCDDDDECDDCCGDDEDDDCDGDECEDDCDCDCDHECEDDDDFDCCDIGEEDD\
CCCDCDDHDDGDDDCDHEDDEDDDDEDDDDEFFICFDDDDDDDDDFDDECFEEDEEFDEEEEFEDD\
EDDDDFEGFDDDCDDEDDDDDCDDCDFDCDFFDCDEDDCDDCCIDDDCDDFDDDDEDEDDCIDDED\
IDCCCDDDDEDDDDEDDGDECEDHDCFCDEGHECDDDDFKEDDDCDDDEECDCDFDCDCCDDDDDE\
CDDDDDFFDEEDDEEDDEFDDDCEDEDGDDDCCEDEDEDDHCDDDCDFCDEDFGCDDDDDDDDDDD\
DDCDDEFICDEDDCECDCDDEEEGECDDDDDDDDEIDDCEDDEDCCDDDDFDDDEEECICDDIFCD\
EDDDDDGEDDGCGDIGNEEDDEEDDDDFCDDEDDEEHDDEDEDEDDFEDDEDCDEDGDDDDDDEDI\
EDDDDDFDFDDCDEDCGDDDCDEDDHCCDFCDCCGDDDDCCDDDCEGDFDFECCDEDDGDCDDCED\
FDDDDDDDDDDGELDDDCFDCDFGGDDFDDDEGDCFDDECDCEDDDCCECLCCDDDDEDDEFDEED\
FFDEEDFIECCDDCDCDEEDEDEEDEDDDEDEDEDEECDDFGCDEDDEDCDDEDECCCEGJDDGEE\
FDECDCCDGDDEDDEECDCEDEDGDDDDCDDECCEDCDECDDDDGEDFDDHCCEDEDDCDCCDCDD\
FDDDDDDDCDJIFDEFFDGFFEEEFDHFGHEDDDFEEGDDCGDDEEDDEDHEEDDECDDDDJFDDD\
DCDECDDCEFGDDDGCDDDDDEDDEFCDDDDDDDCDEDCDCCDDEDGCDDDDDDFDCCDDDDCDDD\
DDDCDDDDEHDDDCDDCDHHDEFDDFCHDCEDECHEDDDDDEJEDEDDDDEDEEDFFHDDCCEDDE\
EEDDDEEDDECDEDDDDECCDDEDEDCFDDDDLGGDHEEDECDCDDDDDDEDCEDDDECFDDDDDD\
DDDDDCDDCCFCDDDDCDDDEDDDDEDCCDCEEDGCCDCHDIDCEDDDDDDCFDDDCCDDDDDCDE\
EDDDFIFECDGDEDEEFDDDDDCEEEEDDEFDDEEDEDDCDDDGCDHCIGIDFDDDDHIGDHDCCD\
EEDDDCDDDCDECCGEFFFCDDDDFDDDDDDDECDDFEDDDDEDDEDEDDDDCDEDDGEFDEDDDE\
DHDCDDDDDDDDDCDDEEDFCEEEEHDFDEEEDEDFDEGEEDHIIDDEEDDDDDCEDIFDDDDDCD\
CCCDHDEDFEFDDDCDFEDDEDCDDEDCDDCDDEFDDEDDDCFDDDEEGDDDDDCDEDFCFDDCEC\
DCEDEDDDDCCDDECDCDDCDCDDDCCDDHDJEECCFFEDDCCDDCDFCDDJEFDDDCDCECDDDK\
DLFDGGCCDDDCDDEDDCFEDDCEEGFFCGDCEDDGDCFDDFDEDDDDICICDDCDDCDCDDDEDF\
DDDDCFCFCDDDEEDCFCDEEDEDDJDDCDDFDCECEDEDDDFFDDDDEDDCEDEDFDDCECDDDF\
CDDDDDEDEDDFFEDDCEDDDDDFFFCDCCEGEEIDECDDCEDDEEGDDCCDDDGCDDHDDCDCED\
IGDCJDDECDDFCDCDEGEDIDDDCFFDCDFDCEDDDDDDFDEDHCCDDDDCDDCGHDDDCDECFD\
DDDCDDEGFDDDDCDIDDDDFDDCCDEDCDDEEFEEECEEEGDDHHEDDKIDDFIDEEEEDDDCDC\
DEDDEEEDDDDEEFDCDDDHEECDGDFDCCGDDCDDCDDDEDDEDGEDDEDDDDCDDDFDCCDDDC\
DDEDECDEEDEEDDDDDJDDEDEDDDDEDEDDCDDDDCECDDDFGDCCDECDDDDDCCEGFEEDDD\
DDDDDDEDDDDDCDDECFCDEEDCDDECECGEFDGDEDDDEEDDDDDDDDDEDFDJGDDDDGEECD\
FDDDDCDDEDDDDEEDDDDDEDFDCCECDDDDCDDDCDDDEGDCCDDEHDDEDEDDDDGDDDCDED\
CCDIDDCGDDDEEDDCDDFCGFFEFDDCEEDDEDDDEDDDCEGDDDDDGDDDFDEDDDHDDDFEEE\
EFGDCDDDJCEDDDDECDGDCDDEDDEIDDDDCGCDDDDCDDEECDDCDDDDDDDDCDECEECECI\
DDDEEDDDDCGGEDFCHGDCDCDDDHCDDDDCEEGCDECCEDDECDEDDCDEDEDEDEDDDDEJDI\
EDCEDCCDCFDDDDEHDDDCCDCDDCDCCDDDDEEEDDDCCDDCEDDDHDEDDCDDDFDDDCHDDG\
DEDDDDDDDDEDDDDDDFGDDHDCIDEGDDDCFCDDIDDDCDDDEDDGDDDDDDCEJDEEDCDDDD\
EDEEEEEDDDGDEDDDCDDDDDDEEEDDEDEDDCDDCDDDDDCCDDDDDEDDDCDEECDEDDDFDE\
DDDDEDFCGDDCDFDDDDFCCEFEMCGEFCEFDEDLDDDDDEEDEGDDDDDDDCDDDDEDFDDHDD\
DCDCGCDDDDDDDDDDDDDJCDCDDDDFEGEEEDFDDFDFDDFFFCECCEECDFDDCDFCDDCDDF\
CDCDEDHDGDEDDDEDCDDDDCDCDEDDDDEDDCDCDEECDCDDCCDDHDDECEHDDICEEECDDD\
EDDDFCEDCDEDEECDDDDDDEDDDEGDCFCDFCCDEDDGCDFFDHDCCCDEJHFFIDDCEDDDEE\
DDDFDEDEEDCDEDEDDDDDDCDDCCDDDDDEFDGDDFDEDEDDCDDDCDCDDCEDEDDDECCEDC\
CDCDDECGEECDDCDDDDJEDDCCCDHDECECDDCEDDIDDECCDCEDFGDDCCCDDCDEEDDEDD\
EDDGDDDDEEEGEDEDDCDEEDCCEDEGHDDEDFCDDDDCDDDDDIDCDECDDDHCDDCDDDCECD\
DDDFEDFDDCCDDDDDCEDCDCDDCCCDCEICCDEDECCDDDEDDDDDDDCDDDDEDDCDCDFDDE\
DDECDDEGCDDCGDDEEDDEEEDDDCDDDDDDCDCEDEDDEDDFEDDEJEIEDDDDEDEDDCDDCC\
DDECEDCDDCDDCFDDCDEDDDEDDEECEDDDDEDDDDEDDGCDDDDDEDCHEDDDDDDMDHDCDD\
EEDDGDDDDCCEEFEEFECDDDDCECEDDDDDCDDCCCDCDDDDEDDDDDECJEDDEDGEDFDFEC\
EEGDEDDDDDDDDHDDCDDDDEDDEDDDDCDDDEDFDDDDCCEDCDCDEGDEDEDFEEDDFDDDCD\
DFEDEDCIDDDDCCDEDEFDDDEDECCDDDCDCDDHEEHDDDDDDDDCEDEDECCFDDGEDCDDDC\
DDDEEDDDCFDDDDCEDDDCDDDEEDDDDDDCEDECDDDDDDDDEDDDDDCEDCFDECEJDDDCDD\
DFDCDEEDDDDCDEDDEDCDDECDEDDDDHEDDDDDDCDDEDECFDGDDHGCDDDEDDDGDDDCDE\
CDEDDDDCCDDECFEDEDCDECDCDDCCDCDEEDDEDDCDCGCCFDFECHFEDDDFDDDDCECDCD\
CEDDCDCDCEDDIGEGCCDDDDDCDFEDCDCDDDFDFDEECDEDFEDDDDEDDDDDDDDCFDEDEC\
FDEDCDDCCDDDCFEIEEDCDDDCDDCDDCDDCDDDDCDDDDDDCEDCCFEDDDEDDHEDDDDDDE\
DEEFDCFEGEEGEEDDFDDCDEDEEDDEEDDDDDGDCEEDDCDDCDDCEDGDEDCDDDDDCEDDCF\
DCEDDDFEEEFDGDDDDDDDCDEEDDDDDCDDDEDDFDCDCCHIDDDDEEDDDCCCDCDDDCDCDD\
CDDGEFHDDDEDDDCEDDHDEDDDCDDDFFDDEDCDDFEDEEDDEDECEEEDDCDDDDDDDDFDCD\
DEDCDDDDDCDDEDCCECECEDEEEEEEDEDDDECDGDDCDDDDDDHDDDCDDDDDDECDCDEDDC\
DFDCDCHDECDEEDCDDDDDDCDCDDCDDFJDDDEDEDDECDCFEEDDEDDDEDFDHEGEDDEEDD\
DCEDDDDEDDCDDEGDGFDDDEEGEGDEECDDDGCDFEGDGDDDFDDCDDCDCCECDDDDDDCEKD\
DFCDCFFDCDCECDDFCCCECDCDCCDCFDDDDCDDDDDECDDCEDDDECECDDCCFCDCDDDDDG\
DDDDDCDDDECDDFDEDEFDEDDDDDDEFECCDDDEDEEDDFFDDCDCEDEGDFDCFDEDDDDEED\
EDFEFCDCCEEEDDDDDDDDCDDDHCDEDDDCCDDIFDDDDCCDDDDCDCDFDDCDCDDDEDCCDD\
CDEDDDDCCCDEDDDCEDCDDCDDDDDDDDCDDDEDDDFDEDDDDDEDCDCDEEDEDCCDDFDECE\
DDDCDEDEDDDFDDDDDEDDCDDFDCDDDCEGDCDDDICCDDDFDCDDCCDFEDCDGDDDDDDDGH\
ECCFFGCCDDHCDDDDFDDFDDDDEJDDDDEDCCDDDDDDDDCDFDEDDDDDDCEDDDDDDDDFDF\
DDDDEEDDCCJEDDFDDFDDEDEDEIDDDEDDDCFCDECCDDEDDDDDDDDCGEFDDDDDDCDDDD\
DDECDDDDDCEEEDDEEDDDEHDDDDDDCEDDCDDDDDCDCDEDEFCDDCDDDHEEEDDEDDDCDE\
DECDCDCEDDDDFDDDDCDDDGEDEFEDDDDEDFEDCEDDEDEDEDDEEDEFDDDDDEDDDDCDDD\
DDDDCDFEDDDDDDDDDDDDGEDDDEEEDDDDDDCDEHCDDDDDEDEDDECCDDCDDEDDDDCDFC\
DCDEGDDDDDDEDDDIEDCECDEECEDDDEDDEDDDDCDCDCDEEEDEDEEEDEDFEEECEDDDDD\
EDDDCDDDDCDDDCDDDCDCDCHDDIEEDCECEDCDECDDCDDCDDDCDCKCDDDCECCFDEDDDD\
FHEDCDCDDCCEDDCDDDEDEEDDDDCEDFCCDDDEDDCDDDDDDCDDDDDDDDHDDDDEFDDDDD\
DDEDDDEDEDEDDEEDDHDDDDEDDFDDEEEDDECFEEDCDEFCFCCEDDFEDDDDDEDDDHCDDD\
DCDCCEDDCCCCDEDDDFCFEDDDDDDECDDDDDDCCCDDCECCDDEDGCECDDDDFKDDDDEDDD\
EDDEDDCDDDFDCDDDDCDEDCDDCDEDCDEEDDDFFDDDEDGFDECDEEEGDDDDDDDEDHDDDD\
DDDCDDCEEDDDFDECDCDDCDDDEDDDDECCEDEGEDDGFCDDDDEDDEDDECDDEDDDDDDDDG\
DDEDCDDEDDCIDDDCDDEEDDFDEDHDDDDDDDDGDDCDDEDEMDCDCEDDIDCEEDDFDDDEDD\
EHDDCFDDFEDDDDDDFCDFEEFDDEDCEDDDDEEDCDDDDDDCDEECECCDDCDICCGCFEEEEC\
EDDDDEDDDEDCDDFDDDDCCECDEDDCDFCEEECCDCDCDDDDDDEDDCDDCDDEEDEDDDCDCD\
CDDDDDDEDDCDDHEFDEDDEDDFIDEDEEDEEGDDCDDEEDDDDDDCCDDDDDDCCDCFDCDEDG\
CDDDDCDDFDDDIDCDCDEEDEDDDEDEEDEDCDDEDDEECDFFDDCDDFDDCDDCHDDEDEDGDF\
ECDCDCDEDCCDCDHDEDCFHDDDEDEDDDEDECDDDDDDGDDGGDDDEDDDCGFDDDGDDEDEDD\
DDDCDCDEEDFDEDKDDCEDEDDDDFDGCDDDDDDDCCDEEFEDEDCDDDFDDDDEDCDCFEDDCD\
EDFDFDECDCDDCDDEDCDDEEDDFCDDDCCDEDDCDDDDCEDDCEDECEDCDDEDDECDDDDCDE\
EEDDDDEEEDEEFCDDIDDDDDDGDCGCDCCEDDCDCCCDCDDEIFDFDEDGDKDGDD";
