#include <stdio.h>
#include <stdlib.h>
#include "cscanner.h"

int
main (void)
{
  Lexicon *L;
  CScanner *scanner;
  char *token;
  char text[4096];

  fprintf (stderr, "Please wait while CScanner loading the lexicon.\n");

  L = c_scanner_load_lexicon ("../../libtabe/src/tsi-src/tsi.src");

  if (L)
    fprintf (stderr, "%d entries loaded.\n\n", L->size);
  else
    {
      fprintf (stderr, "Failed to load lexicon.\n");
      exit (1);
    }

  scanner = c_scanner_new (L);

  while (fgets (text, 4096, stdin))
    {
      c_scanner_input_text (scanner, text, 0);
      printf ("\nScanning the following string:\n\n%s\n", text);
      while ((token = c_scanner_get_token (scanner, 1)))
	printf ("\tposition = %u\ttype = %d\ttoken = %s\n", scanner->token_position, scanner->type, token);
      printf ("\n\n");
    }

  c_scanner_free (scanner);
  c_scanner_free_lexicon (L);

  exit (0);
}
